
Redmine - Defect #34983

Roadmap tab is missing if there are only inherited from parent project versions

2021-03-30 11:33 - Mikhail Oleynik

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 4.2.1   

Resolution: Fixed Affected version: 4.2.0

Description

It was fine before 4.2.0 so I suppose there were some changes in 4.2.0.

There is a project 'Project Big', it has versions created in settings (every version has 'inherited by subprojects' selected). There is its

subproject 'Project Small' without versions at all.

Before 4.2.0:

'Project Small' has 'Roadmap' tab with all inherited versions in list.

After upgrading to 4.2.0:

'Project Small' has no 'Roadmap' tab at all. But I still can open it using direct link and see all versions inherited from 'Project Big'. If I

add some fake version directly to 'Project Small' 'Roadmap' tab appears and contain both inherited and explicit versions in list.

What to fix: 'Roadmap' tab should be shown in subproject even if there are inherited versions only (as it was before 4.2.0).

Thank you!

Related issues:

Related to Redmine - Feature #7956: Show Roadmap tab when subprojects have de... Closed 2011-03-22

Associated revisions

Revision 20921 - 2021-04-07 07:09 - Go MAEDA

Roadmap tab is missing if there are only inherited from parent project versions (#34983).

Patch by Marius BALTEANU.

Revision 20922 - 2021-04-07 07:12 - Go MAEDA

Merged r20921 from trunk to 4.2-stable (#34983).

History

#1 - 2021-03-30 12:30 - Marius BĂLTEANU

- Status changed from New to Confirmed

It's caused by #7956.

#2 - 2021-03-30 12:30 - Marius BĂLTEANU

- Target version set to 4.2.1

#3 - 2021-04-05 22:36 - Marius BĂLTEANU

- Related to Feature #7956: Show Roadmap tab when subprojects have defined versions added

#4 - 2021-04-05 23:11 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

I will post soon the patch to fix this.

Mikhail Oleynik, one workaround is to disable the setting "Display subprojects issues on main projects by default" if it's possible for you.
https://www.redmine.org/issues/7956


#5 - 2021-04-06 06:58 - Mikhail Oleynik

Marius BALTEANU wrote:

I will post soon the patch to fix this.

Mikhail Oleynik, one workaround is to disable the setting "Display subprojects issues on main projects by default" if it's possible for you.

 Thank you for the suggestion.

Solution for us was to create fake version in child project with date in a future to show all parent project versions.

#6 - 2021-04-06 08:10 - Marius BĂLTEANU

- File 0001-Fix-roadmap-tab-is-missing-if-there-are-only-inherit.patch added

- Assignee changed from Marius BĂLTEANU to Go MAEDA

Here is a patch to fix this with a test included.

#7 - 2021-04-07 07:12 - Go MAEDA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Committed the fix. Thank you.

Files

0001-Fix-roadmap-tab-is-missing-if-there-are-only-inherit.patch 1.92 KB 2021-04-06 Marius BĂLTEANU
